import UIKit
import Flutter
import flutter_secure_storage

@main
@objc class AppDelegate: FlutterAppDelegate {
  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
  ) -> Bool {
    GeneratedPluginRegistrant.register(with: self)
    
    // Configurar o Keychain para remover dados quando o app for desinstalado
    let secureStorage = FlutterSecureStoragePlugin()
    secureStorage.setAccessibility(.whenPasscodeSetThisDeviceOnly)
    
    return super.application(application, didFinishLaunchingWithOptions: launchOptions)
  }
}